INCLUDES = -I$(top_srcdir)/lib/interfaces \
	-I$(top_srcdir)/lib/interfaces/extensions -I$(top_srcdir)/lib/interfaces/external -I$(top_srcdir)/lib/util \
	$(all_includes)
METASOURCES = AUTO
libdesignerintegration_la_LDFLAGS = $(all_libraries)
lib_LTLIBRARIES = libdesignerintegration.la
libdesignerintegration_la_LIBADD = $(top_builddir)/lib/interfaces/libkdevinterfaces.la $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI)
libdesignerintegration_la_SOURCES = implementationwidgetbase.ui \
	implementationwidget.cpp tqtdesignerintegration.cpp

langincludedirdir = $(includedir)/tdevelop/languages/designer_integration
langincludedir_HEADERS = tqtdesignerintegration.h implementationwidget.h implementationwidgetbase.h

DOXYGEN_REFERENCES = dcop interfaces tdecore tdefx tdeui tdehtml tdemdi tdeio kjs tdeparts tdeutils kdevinterfaces kdevutil
DOXYGEN_PROJECTNAME = KDevelop Designer Integration Support Library
include ../../../Doxyfile.am
